Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class ExpBean

    java.lang.Object
      com.tonbeller.jpivot.olap.query.ExpBean

    public class ExpBean

extends java.lang.Object

Field Summary
`static int` | `TYPE_DIM`
`static int` | `TYPE_DOUBLE_LITERAL`
`static int` | `TYPE_FUNCALL`
`static int` | `TYPE_HIER`
`static int` | `TYPE_INTEGER_LITERAL`
`static int` | `TYPE_LEVEL`
`static int` | `TYPE_MEMBER`
`static int` | `TYPE_STRING_LITERAL`
`static int` | `TYPE_TOPLEVEL_MEMBERS`

Constructor Summary
`ExpBean()`

Method Summary
`ExpBean[]` | `getArgs()`
`java.lang.Object` | `getLiteralValue()`
`java.lang.String` | `getName()`
`int` | `getType()`
`void` | `setArgs(ExpBean[] args)`
`void` | `setLiteralValue(java.lang.Object object)`
`void` | `setName(java.lang.String name)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_MEMBER

    public static final int TYPE_MEMBER

See Also:
  Constant Field Values

### TYPE_FUNCALL

    public static final int TYPE_FUNCALL

See Also:
  Constant Field Values

### TYPE_LEVEL

    public static final int TYPE_LEVEL

See Also:
  Constant Field Values

### TYPE_DIM

    public static final int TYPE_DIM

See Also:
  Constant Field Values

### TYPE_HIER

    public static final int TYPE_HIER

See Also:
  Constant Field Values

### TYPE_STRING_LITERAL

    public static final int TYPE_STRING_LITERAL

See Also:
  Constant Field Values

### TYPE_INTEGER_LITERAL

    public static final int TYPE_INTEGER_LITERAL

See Also:
  Constant Field Values

### TYPE_DOUBLE_LITERAL

    public static final int TYPE_DOUBLE_LITERAL

See Also:
  Constant Field Values

### TYPE_TOPLEVEL_MEMBERS

    public static final int TYPE_TOPLEVEL_MEMBERS

See Also:
  Constant Field Values

Constructor Detail

### ExpBean

    public ExpBean()

Method Detail

### getArgs

    public ExpBean[] getArgs()

  Returns:
    args

### getName

    public java.lang.String getName()

  Returns:
    name

### setArgs

    public void setArgs(ExpBean[] args)

  Parameters:
    `args` -

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` -

### getType

    public int getType()

  Returns:
    type

### setType

    public void setType(int type)

  Parameters:
    `type` -

### getLiteralValue

    public java.lang.Object getLiteralValue()

  Returns:

### setLiteralValue

    public void setLiteralValue(java.lang.Object object)

  Parameters:
    `object` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD